Package io.flutter.view

# Enum AccessibilityStringBuilder.StringAttributeType

java.lang.Object
java.lang.Enum<AccessibilityStringBuilder.StringAttributeType>
io.flutter.view.AccessibilityStringBuilder.StringAttributeType

All Implemented Interfaces:
  `Serializable`, `Comparable<AccessibilityStringBuilder.StringAttributeType>`, `java.lang.constant.Constable`

Enclosing class:
  `AccessibilityStringBuilder`

public static enum AccessibilityStringBuilder.StringAttributeType extends Enum<AccessibilityStringBuilder.StringAttributeType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LOCALE`
  `SPELLOUT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AccessibilityStringBuilder.StringAttributeType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AccessibilityStringBuilder.StringAttributeType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SPELLOUT

    public static final AccessibilityStringBuilder.StringAttributeType SPELLOUT

  - ### LOCALE

    public static final AccessibilityStringBuilder.StringAttributeType LOCALE

- ## Method Details

  - ### values

    public static AccessibilityStringBuilder.StringAttributeType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AccessibilityStringBuilder.StringAttributeType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null